Bug 14821 - CPU over-use and flapping test patches
Summary: CPU over-use and flapping test patches
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB (show other bugs)
Version: 4.15.0rc2
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks: 14806 14807 14818 14819
  Show dependency treegraph
 
Reported: 2021-09-06 03:15 UTC by Andrew Bartlett
Modified: 2021-09-15 07:17 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.15, 4.14, 4.13 (33.59 KB, patch)
2021-09-06 03:15 UTC, Andrew Bartlett
jra: review+
abartlet: review? (dbagnall)
abartlet: ci-passed+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2021-09-06 03:15:32 UTC
Created attachment 16774 [details]
patch for 4.15, 4.14, 4.13

But for a roll-up patch of all the CPU over-use fix and the LSA server improvement, plus the flapping test fixes needed for this to be reliable.
Comment 2 Andrew Bartlett 2021-09-06 08:06:57 UTC
Comment on attachment 16774 [details]
patch for 4.15, 4.14, 4.13

4.13 CI passed: https://gitlab.com/samba-team/devel/samba/-/pipelines/365636797
Comment 3 Jeremy Allison 2021-09-07 17:09:22 UTC
Re-assigning to Jule for inclusion in 4.15.0, 4.14.next, 4.13.next.
Comment 4 Jule Anger 2021-09-10 13:18:45 UTC
Pushed to autobuild-v4-{15,14,13}-test.
Comment 5 Jule Anger 2021-09-15 07:17:48 UTC
See depending bugs for references.

Closing out bug report.

Thanks!